| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XSAnnotation Class Reference

Inheritance diagram for XSAnnotation:

[legend]
Collaboration diagram for XSAnnotation:

[legend]
List of all members.

## Public Types

enum | ANNOTATION_TARGET { W3C_DOM_ELEMENT = 1, W3C_DOM_DOCUMENT = 2 }

## Public Methods

| XSAnnotation (MemoryManager *const manager)
Constructors
| XSAnnotation (const XMLCh *const contents, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
Destructor
| ~XSAnnotation ()
XSAnnotation methods
void | writeAnnotation (DOMNode *node, ANNOTATION_TARGET targetType)
| Write contents of the annotation to the specified DOM object. More...
void | writeAnnotation (ContentHandler *handler)
| Write contents of the annotation to the specified object. More...
const XMLCh * | getAnnotationString () const
| A text representation of annotation. More...
XMLCh * | getAnnotationString ()
void | setNext (XSAnnotation *const nextAnnotation)
XSAnnotation * | getNext ()

## Protected Attributes

XMLCh * | fContents
XSAnnotation * | fNext

## Member Enumeration Documentation

enum XSAnnotation::ANNOTATION_TARGET

Enumeration values:

  W3C_DOM_ELEMENT | The object type is `org.w3c.dom.Element`.
  W3C_DOM_DOCUMENT | The object type is `org.w3c.dom.Document`.

## Constructor & Destructor Documentation

XSAnnotation::XSAnnotation | ( | const XMLCh *const | contents,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager
| ) |

The default constructor.

Parameters:

  contents | The string that is to be the content of this XSAnnotation
  manager | The configurable memory manager

XSAnnotation::~XSAnnotation | ( |  | ) |

XSAnnotation::XSAnnotation | ( | MemoryManager *const | manager | ) |

## Member Function Documentation

XMLCh * XSAnnotation::getAnnotationString | ( |  | ) |

const XMLCh * XSAnnotation::getAnnotationString | ( |  | ) | const

| A text representation of annotation.

XSAnnotation* XSAnnotation::getNext | ( |  | ) |

void XSAnnotation::setNext | ( | XSAnnotation *const | nextAnnotation | ) |

void XSAnnotation::writeAnnotation | ( | ContentHandler * | handler | ) |

Write contents of the annotation to the specified object.

The corresponding events for all in-scope namespace declarations are sent via the specified document handler.

Parameters:

  handler | A target pointer to the annotation target object, i.e. `ContentHandler`.

void XSAnnotation::writeAnnotation | ( | DOMNode * | node,
|  | ANNOTATION_TARGET | targetType
| ) |

Write contents of the annotation to the specified DOM object.

In-scope namespace declarations for `annotation` element are added as attribute nodes of the serialized `annotation`.

Parameters:

  node | A target pointer to the annotation target object, i.e. either `DOMDocument` or `DOMElement` cast as `DOMNode</code).`
  targetType | A target type.

## Member Data Documentation

XMLCh* XSAnnotation::fContents`[protected]`

XSAnnotation* XSAnnotation::fNext`[protected]`

The documentation for this class was generated from the following file:

- XSAnnotation.hpp

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.